Package org.silverpeas.components.gallery.constant

## Enum MediaType

- java.lang.Object
- - java.lang.Enum<MediaType>
  - - org.silverpeas.components.gallery.constant.MediaType

- All Implemented Interfaces:
    `Serializable`, `Comparable<MediaType>`

      public enum MediaType
      extends Enum<MediaType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Photo` |
    `Sound` |
    `Streaming` |
    `Unknown` |
    `Video` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaType` | `from​(String type)` | Gets the enum instance according to the specified type.
    `String` | `getMediaWebUriPart()` | Gets the media Web Uri part.
    `String` | `getName()` |
    `String` | `getTechnicalFolder()` | Gets the prefix folder name of a media on Silverpeas workspace.
    `boolean` | `isPhoto()` | Indicates if current type is the photo one.
    `boolean` | `isSound()` | Indicates if current type is the sound one.
    `boolean` | `isStreaming()` | Indicates if current type is the streaming one.
    `boolean` | `isVideo()` | Indicates if current type is the video one.
    `<M extends Media> M` | `newInstance()` | Instantiates a new model instance according to the media type.
    `static MediaType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MediaType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final MediaType Unknown

    - #### Photo

          public static final MediaType Photo

    - #### Video

          public static final MediaType Video

    - #### Sound

          public static final MediaType Sound

    - #### Streaming

          public static final MediaType Streaming

  - ### Method Detail

    - #### values

          public static MediaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaType c : MediaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### from

          public static MediaType from​(String type)

      Gets the enum instance according to the specified type.
      Parameters:
        `type` -
      Returns:

    - #### getName

          public String getName()

    - #### newInstance

          public <M extends Media> M newInstance()

      Instantiates a new model instance according to the media type.
      Type Parameters:
        `M` -
      Returns:

    - #### isPhoto

          public boolean isPhoto()

      Indicates if current type is the photo one.
      Returns:

    - #### isVideo

          public boolean isVideo()

      Indicates if current type is the video one.
      Returns:

    - #### isSound

          public boolean isSound()

      Indicates if current type is the sound one.
      Returns:

    - #### isStreaming

          public boolean isStreaming()

      Indicates if current type is the streaming one.
      Returns:

    - #### getTechnicalFolder

          public String getTechnicalFolder()

      Gets the prefix folder name of a media on Silverpeas workspace.
      Returns:

    - #### getMediaWebUriPart

          public String getMediaWebUriPart()

      Gets the media Web Uri part.
      Returns: